EDIT - feature request #7417

Make pro parte and partial synonym relationships always visible in data portals

05/15/2018 10:35 AM - Andreas Miller

Status: Closed Start date:
Priority: Highest Due date:
Assignee: Andreas Kohlbecker % Done:
Category: cdm-dataportal Estimated time:
Target version: Release 5.1

Severity: critical
Description

Pro parte and partial synonyms will only be handled by concept relations starting in v5.0.
Therefor the 2 concept relationships should always be visible in data portals by default.

Other relationships usually need to be switched on explicitly by side admin.

Also we need to check the correct formatting (icon, p.p. at end or start, ...)

[ p.p. : Pro parte synonym for
[C] partial : Partial synonym for
[ p.p.MAN @ Pro parte Misapplied Name for

[ nartial MAN : Partial Misannlied Name faor
TermBase (51x2) | Ergebnis £2 (3:48)

This is similar to the handling of misapplied names which, by default, are also always visible.
—?‘>Pro parte synonym for RT (NULL) @ (NULL) (NULL) 0
accepted synonym.
Taxon relationships
Show taxon relations ships of accepted taxon
If this option is enabled the synonymy vill show the below selected taxon relationships of
taxa.
Taxon relationship types:
Only taxon relationships of the selected type will be displayead
Name relationships
MName relationship types:
Only name relationships of the salacted type will ba displayad
Related issues:
Related to EDIT - feature request #7334: Make pro parte and partial synonyms ... Closed
Related to EDIT - feature request #7157: interim solution to mark pro parte s... Rejected
Related to EDIT - bug #7478: Fix pro parte synonym search Resolved
Related to EDIT - bug #7514: Change direct and inverse symbol for pro parte s... Closed
Has duplicate EDIT - feature request #5627: Display pro parte (and partial) i... Duplicate
Associated revisions
Revision baebfef3 - 06/18/2018 03:41 PM - Andreas Kohlbecker
fix #7417 using DefinedTermBase.symbol and inverseSymbol instead of abbreviated labels as taxon relationship labels

Revision f95ba88b - 06/18/2018 05:31 PM - Andreas Kohlbecker
fix #7417 defaults for TAXON_RELATIONSHIP_TYPES and bumping module version number to 5.x

Revision eafb60f0 - 06/19/2018 12:55 PM - Andreas Kohlbecker
fix #7417 defaults for TAXON_RELATIONSHIP_TYPES - bugfix

History

#1 - 05/15/2018 10:36 AM - Andreas Miiller

- Related to feature request #7334: Make pro parte and partial synonyms real concept relationships added

#2 - 05/16/2018 11:20 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#3 - 06/04/2018 11:14 AM - Andreas Kohlbecker

- Related to feature request #7157: interim solution to mark pro parte synonyms in the dataportal added

#4 - 06/04/2018 11:17 AM - Andreas Kohlbecker
- Has duplicate feature request #5627: Display pro parte (and partial) information in data portal added

#5 - 06/04/2018 01:52 PM - Andreas Miller
- File picture875-1.png added

IN the attachement you find how currently the default configuration in ...portal/admin/config/cdm_dataportal/settings/layout/taxon looks like. These 4

should be switched on.

] p.p. : Pro parte synonym for
[ partial : Partial synonym for
[ p.p.MAN : Pro parte Misapplied Name for
[C] partial MAN : Partial Misapplied Name for

As an example for existing pp synonym you may take Nepenthes, e.g.

http://caryophyllales.org/nepenthaceae/cdm_dataportal/taxon/63d01d64-7e2d-49b9-8a41-493611692899 . Unfortunately the formatting is not yet

correct there. in one direction it shows "-" instead of "p.p.". It looks like the symbol does not yet come from the database because there the symbols

looks different (see 2nd attachement).

TermBase (51:2) | Ergebnis #2 (3x48)

e titeCache termType uri idIn¥acabulary is0A39_1 isTechnical orderIndex__inverseSymbaol
—?Fro parte synamym for RT (UL @ {NULL) (NULL)
#6 - 06/04/2018 01:53 PM - Andreas Miiller
- File picture656-1.png added

#7 - 06/04/2018 02:56 PM - Andreas Miiller

Other example uuids in Nepenthes: cdm_production_caryo_nepenthaceae

SELECT acc.titleCache, acc.uuid, pp.titleCache, pp.uuid, rel.type_id

FROM TaxonRelationship rel INNER JOIN TaxonBase acc ON acc.id = rel.relatedTo_id
INNER JOIN TaxonBase pp ON pp.id = rel.relatedFrom_id

WHERE rel.type_id IN ( 942, 2641, 944)

ORDER BY rel.type_id, acc.titleCache

#8 - 06/15/2018 01:25 PM - Andreas Miiller
- Related to bug #7478: Fix pro parte synonym search added

#9 - 06/18/2018 03:41 PM - Andreas Kohlbecker

- Status changed from New to Resolved
http://caryophyllales.org/nepenthaceae/cdm_dataportal/taxon/63d01d64-7e2d-49b9-8a41-493611692899

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|baebfef3f130d5b72a4f5a2d44ba41e89e7531ea.

#10 - 06/18/2018 03:46 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miller
Hi Andreas,

this is fixed now, please review.

Andreas

#11 - 06/18/2018 04:21 PM - Andreas Kohlbecker

- Status changed from Resolved to In Progress

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

| forgot about updating the default settings regarding the pp synonyms

#12 - 06/18/2018 05:13 PM - Andreas Kohlbecker

As these new TaxonRelationshipTypes already are available in the production systems the accoring settings may already be stored in the drupal db
with arbitrary settings. There is now no reliable method to find out if one of these 4 rel types has been set to disabled by purpose or if this has done
accidentally. Therefore it is advised to enable these taxon-rel-types (PROPARTE_MISAPPLIEDNAME_FOR, PARTIAL_MISAPPLIEDNAME_FOR,
PROPARTE_SYNONYM_FOR, PARTIAL_SYNONYM_FOR) for all existing portals and to let the user decide whether to disable them if needed.
This information should be included into the release notification.

#13 - 06/18/2018 05:31 PM - Andreas Kohlbecker

- Status changed from In Progress to Resolved

Applied in changeset cdm-dataportal|f95ba88b3d58a16df1a8eb013900268d66e0139d.

#14 - 06/18/2018 05:32 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

finally done and ready for reviewing

#15 - 06/26/2018 01:33 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

The symbols are still used in incorrect direction. On the side of the "real" taxon (which takes the role of the toTaxon in the relationship) the inverse
symbol is used but the normal symbol should as it reads like

"the following synonym is a pp synonym of the above accepted taxon".

This is maybe confusing but definitely correct.

#16 - 06/26/2018 01:36 PM - Andreas Miiller

Also, as symbol is not a required field, we may also think about fallbacks in case symbol is NULL.
E.g. (symbol != null)? symbol : (abbrevLabel != null)? abbrevLabel : idInVocabulary

We may also make it configurable which string to use preferably (including also symbol2).

#17 - 06/26/2018 01:42 PM - Andreas Miiller
- File picture168-1.png added

At least in cichorieae test (http:/test.e-taxonomy.eu/dataportal/preview/cichorieae/admin/config/cdm_dataportal/settings/layout/taxon#) the possibility
to choose from existing concept or name relationships is now completely missing.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/baebfef3f130d5b72a4f5a2d44ba41e89e7531ea
http://test.e-taxonomy.eu/dataportal/preview/cichorieae/admin/config/cdm_dataportal/settings/layout/taxon#
#18 - 06/26/2018 01:43 PM - Andreas Miiller

The same is true for euromed on test!!
#19 - 06/26/2018 02:06 PM - Andreas Kohlbecker
this is due to a LazylnitializationException occurring in the procession of the requests like:

http://160.45.63.175/cdmserver/cichorieae/termVocabulary/15db0cf7-7afc-4a86-a7d4-221c73b0c9ac/terms.json?orderBy=BY_ORDER_INDEX_ASC
&pageNumber=0&pageSize=500

this has for sure been introduced by the changes made for #7508

#20 - 06/26/2018 02:56 PM - Andreas Miiller

The pp synonyms should precede the misapplied names. Currently they come afterwards or the order is undefined.
#21 - 06/26/2018 04:30 PM - Andreas Miiller
Andreas Kohlbecker wrote:

this is due to a LazylnitializationException occurring in the procession of the requests like:

http://160.45.63.175/cdmserver/cichorieae/termVocabulary/15db0cf7-7afc-4a86-a7d4-221¢73b0c9ac/terms.json?orderBy=BY_ORDER_INDEX_

ASC&pageNumber=0&pageSize=500

this has for sure been introduced by the changes made for #7508

This issue is fixed now.

#22 - 06/26/2018 04:31 PM - Andreas Miiller

Partial synonyms are not yet shown by default (at least not for cichorieae on test)

#23 - 06/26/2018 04:36 PM - Andreas Miiller

- Related to bug #7514: Change direct and inverse symbol for pro parte synonym and misapplied name relationship types. added
#24 - 06/26/2018 04:38 PM - Andreas Miiller
Andreas Miller wrote:

The symbols are still used in incorrect direction. On the side of the "real" taxon (which takes the role of the toTaxon in the relationship) the
inverse symbol is used but the normal symbol should as it reads like

"the following synonym is a pp synonym of the above accepted taxon".

This is maybe confusing but definitely correct.
This has been discussed and will be handled by changing the symbols in DB (#7514)
#25 - 06/27/2018 03:20 PM - Andreas Kohlbecker
Andreas Miller wrote:
Partial synonyms are not yet shown by default (at least not for cichorieae on test)
This has worked in the integration databases where | tested the drupal database update. The test dataportal configurations may have been confused
through problems in the update functions. Let's wait for the release being installed. It should be ok on the production servers.
If it is ok there we can close this issue.

#26 - 06/28/2018 08:04 AM - Andreas Kohlbecker

- Target version changed from Release 5.1 to Release 5.2

#27 - 06/28/2018 10:12 AM - Andreas Miiller

Isn't this solved (more or less) in 5.1 already?

#28 - 06/28/2018 10:25 AM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.1

| guess something went wrong this morning with Redmine | only moved tickets which are "New" or in "Progress”, when changing the Targetversion
via the batch edit function Redmine was behaving a bit strange, hung for quite some time.

| moving this issue back now ...

after checking the production portal settings we can close this issue.

#29 - 10/25/2019 04:58 PM - Andreas Kohlbecker

- Status changed from Feedback to Resolved

should be fixed already, review is pending.

#30 - 01/20/2021 01:56 PM - Andreas Kohlbecker

- Description updated

#31 - 01/20/2021 02:03 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

this is fully implemented and also covered by the tests on the synonymy of Miconia cubacinerea in the reference database
